## com.sun.jersey.api.model
Interface AbstractModelVisitor

    public interface AbstractModelVisitor

The interface was originatelly created to allow implementing validators of the abstract resource model. A second use case would be WADL generation.

Author:
  japod

Method Summary
`void` | `visitAbstractField(AbstractField field)`
`void` | `visitAbstractResource(AbstractResource resource)`
`void` | `visitAbstractResourceConstructor(AbstractResourceConstructor constructor)`
`void` | `visitAbstractResourceMethod(AbstractResourceMethod method)`
`void` | `visitAbstractSetterMethod(AbstractSetterMethod setterMethod)`
`void` | `visitAbstractSubResourceLocator(AbstractSubResourceLocator locator)`
`void` | `visitAbstractSubResourceMethod(AbstractSubResourceMethod method)`

Method Detail

### visitAbstractResource

    void visitAbstractResource(AbstractResource resource)

### visitAbstractField

    void visitAbstractField(AbstractField field)

### visitAbstractSetterMethod

    void visitAbstractSetterMethod(AbstractSetterMethod setterMethod)

### visitAbstractResourceMethod

    void visitAbstractResourceMethod(AbstractResourceMethod method)

### visitAbstractSubResourceMethod

    void visitAbstractSubResourceMethod(AbstractSubResourceMethod method)

### visitAbstractSubResourceLocator

    void visitAbstractSubResourceLocator(AbstractSubResourceLocator locator)

### visitAbstractResourceConstructor

    void visitAbstractResourceConstructor(AbstractResourceConstructor constructor)

Copyright © 2017 Oracle Corporation. All Rights Reserved.